UART0 Peripheral
Bootloader » Peripheral Definitions

UART0 peripheral interface. More...

Collaboration diagram for UART0 Peripheral:

## Functions

static bool | uart0_poll_for_activity (const peripheral_descriptor_t *self)
static status_t | uart0_full_init (const peripheral_descriptor_t *self, serial_byte_receive_func_t function)
static void | uart0_full_shutdown (const peripheral_descriptor_t *self)
static status_t | uart0_write (const peripheral_descriptor_t *self, const uint8_t *buffer, uint32_t byteCount)
uint32_t | uart0_get_clock (uint32_t instance)
void | UART0_IRQHandler (void)

## Variables

static const uint32_t | g_lpsciBaseAddr [] = UART0_BASE_ADDRS
const peripheral_control_interface_t | g_uart0ControlInterface
| Control interface for the UART0 peripheral driver. More...
const peripheral_byte_inteface_t | g_uart0ByteInterface = {.init = NULL, .write = uart0_write }
| Byte I/O interface for the UART0 peripheral driver.
static serial_byte_receive_func_t | s_uart0_byte_receive_callback
static bool | s_uart0_init = false

## Usage Information

UART0 peripheral interface.

## Function Documentation

void uart0_full_shutdown | ( | const peripheral_descriptor_t * | self | ) |

static

Note: if not deinit autobaud(IRQ method), user app may encounters hardfault if it doesn't provide related pin interrupt service routine.

## Variable Documentation

const peripheral_control_interface_t g_uart0ControlInterface

Initial value:
= {
.pollForActivity = uart0_poll_for_activity, .init = uart0_full_init, .shutdown = uart0_full_shutdown, .pump = 0
}
uart0_full_shutdown
static void uart0_full_shutdown(const peripheral_descriptor_t *self)
Definition: uart0_peripheral_interface.c:159

Control interface for the UART0 peripheral driver.